From eb7074e040c17bc540a9d856922bbb135a819bcf Mon Sep 17 00:00:00 2001
From: Andrew Minton <a@cowmuffins.net>
Date: Tue, 1 Aug 2017 20:53:13 -0600
Subject: [PATCH 1/5] Make mindstar dammod independent of tier

Previously, higher tier mindstars had both higher dam and better dammod than
lower tier mindstars. This resulted in low tier mindstar melee being
incredibly bad even with Psiblades.
This commit gives non-fixedart mindstars of all tiers a dammod of 50% Wil, 30%
Cun (the previous value for tier 5 non-fixedart mindstars) and makes all
fixedart mindstar stat modifiers total to 80% as well. This does not buff late
game mindstar melee, but does make early game mindstar melee a little less
awful (it will still lag far behind weapon melee).

Psiblades still increases mindstars' stat dammod, so with level 6.0 Psiblades
the dammod for all non-fixedart mindstars is now 93% Wil, 56% Cun.
---
 .../general/objects/boss-artifacts-maj-eyal.lua    |  2 +-
 .../tome/data/general/objects/mindstars.lua        |  8 ++++----
 .../tome/data/general/objects/world-artifacts.lua  | 24 +++++++++++-----------
 3 files changed, 17 insertions(+), 17 deletions(-)

diff --git a/game/modules/tome/data/general/objects/boss-artifacts-maj-eyal.lua b/game/modules/tome/data/general/objects/boss-artifacts-maj-eyal.lua
index 0a01851..239efbd 100644
--- a/game/modules/tome/data/general/objects/boss-artifacts-maj-eyal.lua
+++ b/game/modules/tome/data/general/objects/boss-artifacts-maj-eyal.lua
@@ -1605,7 +1605,7 @@ newEntity{ base = "BASE_MINDSTAR", define_as = "PSIONIC_FURY",
 		dam = 12,
 		apr = 25,
 		physcrit = 5,
-		dammod = {wil=0.4, cun=0.2},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.MIND,
 	},
 	wielder = {
diff --git a/game/modules/tome/data/general/objects/mindstars.lua b/game/modules/tome/data/general/objects/mindstars.lua
index 9f1d9b5..f32defe 100644
--- a/game/modules/tome/data/general/objects/mindstars.lua
+++ b/game/modules/tome/data/general/objects/mindstars.lua
@@ -53,7 +53,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = resolvers.rngavg(2,3),
 		apr = 12,
 		physcrit = 2.5,
-		dammod = {wil=0.3, cun=0.1},
+		dammod = {wil=0.5, cun=0.3},
 	},
 	wielder = {
 		combat_mindpower = 2,
@@ -71,7 +71,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = resolvers.rngavg(4,6),
 		apr = 18,
 		physcrit = 3,
-		dammod = {wil=0.35, cun=0.15},
+		dammod = {wil=0.5, cun=0.3},
 	},
 	wielder = {
 		combat_mindpower = 4,
@@ -89,7 +89,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = resolvers.rngavg(7,10),
 		apr = 24,
 		physcrit = 3.5,
-		dammod = {wil=0.4, cun=0.2},
+		dammod = {wil=0.5, cun=0.3},
 	},
 	wielder = {
 		combat_mindpower = 6,
@@ -107,7 +107,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = resolvers.rngavg(12,14),
 		apr = 32,
 		physcrit = 4.5,
-		dammod = {wil=0.45, cun=0.25},
+		dammod = {wil=0.5, cun=0.3},
 	},
 	wielder = {
 		combat_mindpower = 8,
diff --git a/game/modules/tome/data/general/objects/world-artifacts.lua b/game/modules/tome/data/general/objects/world-artifacts.lua
index 999ea0c..4e3aad1 100644
--- a/game/modules/tome/data/general/objects/world-artifacts.lua
+++ b/game/modules/tome/data/general/objects/world-artifacts.lua
@@ -2331,7 +2331,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = 16,
 		apr = 28,
 		physcrit = 5,
-		dammod = {wil=0.45, cun=0.25},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.MIND,
 		convert_damage = {
 			[DamageType.DARKNESS] = 30,
@@ -2467,7 +2467,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = 15,
 		apr = 26,
 		physcrit = 6,
-		dammod = {wil=0.45, cun=0.22},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.MIND,
 	},
 	wielder = {
@@ -2558,7 +2558,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = 17,
 		apr = 25,
 		physcrit = 7,
-		dammod = {wil=0.5, cun=0.2},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.SLIME,
 	},
 	wielder = {
@@ -2605,7 +2605,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = 8,
 		apr = 13,
 		physcrit = 7,
-		dammod = {wil=0.25, cun=0.1},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.NATURE,
 	},
 	wielder = {
@@ -2676,7 +2676,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = 16,
 		apr = 24,
 		physcrit = 2.5,
-		dammod = {wil=0.4, cun=0.1, str=0.2},
+		dammod = {wil=0.5, cun=0.1, str=0.2},
 		damtype=DamageType.PHYSICAL,
 		convert_damage = {
 			[DamageType.COLD] = 18,
@@ -2786,7 +2786,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = 10,
 		apr = 18,
 		physcrit = 2.5,
-		dammod = {wil=0.35, cun=0.5},
+		dammod = {wil=0.3, cun=0.5},
 		damtype=DamageType.NATURE,
 	},
 	wielder = {
@@ -3207,7 +3207,7 @@ newEntity{ base = "BASE_MINDSTAR",
 		dam = 7,
 		apr = 15,
 		physcrit = 7,
-		dammod = {wil=0.30, cun=0.1},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.NATURE,
 		convert_damage={[DamageType.POISON] = 30,}
 	},
@@ -7799,7 +7799,7 @@ newEntity{ base = "BASE_MINDSTAR", define_as = "EYE_OF_SUMMER",
 		dam = 8,
 		apr = 18,
 		physcrit = 5,
-		dammod = {wil=0.35, cun=0.15},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.FIRE,
 	},
 	wielder = {
@@ -7855,7 +7855,7 @@ newEntity{ base = "BASE_MINDSTAR", define_as = "EYE_OF_WINTER",
 		dam = 8,
 		apr = 18,
 		physcrit = 5,
-		dammod = {wil=0.35, cun=0.15},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.COLD,
 	},
 	wielder = {
@@ -8058,7 +8058,7 @@ newEntity{ base = "BASE_MINDSTAR", define_as = "KINETIC_FOCUS",
 		dam = 6,
 		apr = 18,
 		physcrit = 5,
-		dammod = {wil=0.35, cun=0.15},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.PHYSICAL,
 	},
 	wielder = {
@@ -8139,7 +8139,7 @@ newEntity{ base = "BASE_MINDSTAR", define_as = "CHARGED_FOCUS",
 		dam = 10,
 		apr = 24,
 		physcrit = 5,
-		dammod = {wil=0.4, cun=0.2},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.LIGHTNING,
 	},
 	wielder = {
@@ -8217,7 +8217,7 @@ newEntity{ base = "BASE_MINDSTAR", define_as = "THERMAL_FOCUS",
 		dam = 14,
 		apr = 32,
 		physcrit = 5,
-		dammod = {wil=0.45, cun=0.25},
+		dammod = {wil=0.5, cun=0.3},
 		damtype = DamageType.FIRE,
 		convert_damage = {
 			[DamageType.COLD] = 50,
-- 
2.7.4

